document.addEventListener('DOMContentLoaded', () => {
  const form = document.querySelector('.strategy-form');
  const archiveContainer = document.getElementById('archiveContainer');
  
  const strategies = [
    { title: 'Gitmo Nation!', description: 'For those who stick around till the end', tag: 'Classic' },
    { title: 'Crackpot!', description: 'When the analysis gets too deep', tag: 'Analysis' },
    { title: 'Clip it!', description: 'When something needs to be remembered', tag: 'Production' }
  ];

  function createStrategyCard(strategy) {
    const card = document.createElement('div');
    card.className = 'strategy-card';
    card.innerHTML = `
      <h3>${strategy.title}</h3>
      <p>${strategy.description}</p>
      <span class="tag">${strategy.tag}</span>
    `;
    return card;
  }

  function loadStrategies() {
    strategies.forEach(strategy => {
      archiveContainer.appendChild(createStrategyCard(strategy));
    });
  }

  if (form) {
    form.addEventListener('submit', (e) => {
      e.preventDefault();
      const strategyInput = document.getElementById('strategyInput');
      const descriptionInput = document.getElementById('descriptionInput');
      
      if (strategyInput.value && descriptionInput.value) {
        const newStrategy = {
          title: strategyInput.value,
          description: descriptionInput.value,
          tag: 'New'
        };
        
        archiveContainer.insertBefore(
          createStrategyCard(newStrategy),
          archiveContainer.firstChild
        );
        
        form.reset();
      }
    });
  }

  loadStrategies();
});